# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	NextCloud (CMS)
Name:		nextcloud
Version:	13.0.0
Release:	%mkrel 1
License:	AGPLv3
Group:		System/Servers
URL:		http://owncloud.org/
Source0:	https://download.nextcloud.com/server/releases/%{name}-%{version}.tar.xz
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	file
BuildRequires:	unzip
Requires: task-lamp
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Obsoletes: owncloud
Provides: owncloud = %version-%release

%description
NextCloud gives you universal access to your files through a web interface or WebDAV. It 
also provides a platform to easily view & sync your contacts, calendars and bookmarks 
across all your devices and enables basic editing right on the web.

http://localhost/nextcloud/

%prep
%setup -q -n %{name}

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/var/www/html/%{name}
cp -aRf * %{buildroot}/var/www/html/%{name}

mkdir -p %{buildroot}/var/www/data


%post
%_post_webapp
if [ -e /var/www/html/%{name}/index.html ]; then 
	rm -f /var/www/html/%{name}/index.html 
fi

# start the webserver if it is not running
STATUS=$(/etc/init.d/httpd status)
if [ $(echo "$STATUS" | grep -c "httpd is stopped") -gt 0 ]; then
	echo "Starting apache webserver"
	/etc/init.d/httpd start
fi


%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,apache,apache)
/*

%changelog
* Tue Feb 27 2018 bb2 <bb2> - 13.0.0-1pclos2018
- new version

* Sat Aug 05 2017 bb2 <bb2> - 12.0.0-1pclos2017
- new version

* Mon Mar 06 2017 bb2 <bb2> - 11.0.2-1pclos2017
- new version

* Mon Feb 20 2017 bb <bb> - 11.0.1-1pclos2017
- new version

* Wed Dec 14 2016 bb <bb> - 11.0.0-1pclos2017
- update

* Tue Dec 13 2016 bb <bb> - 10.0.1-1pclos2017
- import

